Skip to main content
GET
/
battery
/
actions
/
{actionId}
Get action status
curl --request GET \
  --url https://api.example.com/battery/actions/{actionId} \
  --header 'x-api-key: <api-key>'
{
  "id": "act_abc123",
  "deviceId": "device_xyz789",
  "type": "battery:set_operation_mode",
  "state": "acknowledged",
  "result": {
    "success": true,
    "message": "Command executed successfully"
  },
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "deferredUntil": "2025-06-01T18:00:00Z",
  "parameters": {
    "mode": "charge"
  },
  "errorCode": "<string>",
  "errorMessage": "<string>",
  "acknowledgedAt": "<string>",
  "completedAt": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

actionId
string
required

The unique identifier for the action

Example:

"action_abc123"

Response

Action status retrieved successfully

id
string
required

Unique action identifier

Example:

"act_abc123"

deviceId
string
required

Device ID

Example:

"device_xyz789"

type
enum<string>
required

Action type

Available options:
battery:set_operation_mode
Example:

"battery:set_operation_mode"

state
enum<string>
required

Current state of the action

Available options:
acknowledged,
deferred,
completed,
failed
Example:

"acknowledged"

result
object
required

OEM response data when action completes

Example:
{
"success": true,
"message": "Command executed successfully"
}
createdAt
string
required

ISO timestamp when action was created

updatedAt
string
required

ISO timestamp when action was last updated

deferredUntil
string | null

Resolved ISO 8601 UTC timestamp the action is deferred until. Null if the action was not deferred.

Example:

"2025-06-01T18:00:00Z"

parameters
object

Action-specific parameters sent with the request

Example:
{ "mode": "charge" }
errorCode
string | null

Error code if action failed

errorMessage
string | null

Error message if action failed

acknowledgedAt
string | null

ISO timestamp when action was acknowledged

completedAt
string | null

ISO timestamp when action was completed